# Uses of Annotation Interface
org.apache.solr.common.util.SuppressForbidden

Packages that use SuppressForbidden
Package
Description
org.apache.solr.client.solrj.beans
Annotation based mapping of client objects to Solr documents.
org.apache.solr.common
Common classes reused on both clients & server for dealing with `documents to be indexed` and `result documents`.
org.apache.solr.common.cloud
Common Solr Cloud and ZooKeeper related classes reused on both clients & server.
org.apache.solr.common.util
Common utility classes reused on both clients & server.

## Uses of SuppressForbidden in org.apache.solr.client.solrj.beans

Methods in org.apache.solr.client.solrj.beans with annotations of type SuppressForbidden
Modifier and Type
Method
Description
`protected List<DocumentObjectBinder.DocField>`
DocumentObjectBinder.`collectInfo(Class<?> clazz)`

## Uses of SuppressForbidden in org.apache.solr.common

Constructors in org.apache.solr.common with annotations of type SuppressForbidden
Modifier
Constructor
Description
``
`LinkedHashMapWriter(int initialCapacity)`

## Uses of SuppressForbidden in org.apache.solr.common.cloud

Methods in org.apache.solr.common.cloud with annotations of type SuppressForbidden
Modifier and Type
Method
Description
`boolean`
RoutingRule.`isExpired()`
`static String`
RoutingRule.`makeExpiryAt(long timeMsFromNow)`

## Uses of SuppressForbidden in org.apache.solr.common.util

Classes in org.apache.solr.common.util with annotations of type SuppressForbidden
Modifier and Type
Class
Description
`final class`
`CollectionUtil`
Methods for creating collections with exact sizes, and other convenience methods
`static class`
`ExecutorUtil.MDCAwareThreadPoolExecutor`
Methods in org.apache.solr.common.util with annotations of type SuppressForbidden
Modifier and Type
Method
Description
`long`
TimeSource.CurrentTimeSource.`getTimeNs()`